> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/invoices/extract-invoices.md).

# Extract invoices

Use the **getInvoices** method to extract shopper invoices from the 2Checkout system based on unique order references. The method returns the binary code for invoices in the PDF file format, Base64 encoded (Base64 is used to represent binary data in the ASCII string format).

**getInvoices** works for **COMPLETE** orders for which an invoice was already issued. For **refunded** orders, **getInvoices** provides two shopper invoices, one for the original order and the second for the refund, reflecting the repayment made.

In the case of cross-selling orders which contain products from different merchants, **getInvoice** enables you to re-send only the invoices for your own offerings.

## Request parameters <a href="#parameters" id="parameters"></a>

<table><thead><tr><th width="124.4000244140625">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect.  The <code>sessionID</code> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>reference</code></td><td><strong>Required (string)</strong><br>Unique, system generated reference for orders.</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$reference = 'ORDER_REFERENCE';

$jsonRpcRequest = array (
'method' => 'getInvoices',
'params' => array($sessionID, $Reference),
'id' => $i++,
'jsonrpc' => '2.0');

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));
```

## Response parameters <a href="#response" id="response"></a>

<table><thead><tr><th width="242.800048828125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>InvoicesData</code></td><td><strong>Array of objects</strong><br>Details below.</td></tr><tr><td><code>InvoicesData.Sale</code></td><td><strong>String</strong><br>Base64 encoded PDF file containing an invoice for a Complete order.</td></tr><tr><td><code>InvoicesData.Cancellation</code></td><td><strong>String</strong><br>Base64 encoded PDF file containing a cancellation invoice.</td></tr><tr><td><code>InvoicesData.Refunds</code></td><td><strong>Array of string</strong><br>Base64 encoded PDF files containing invoices for Refunds.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/invoices/extract-invoices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
